Package org.pushingpixels.substance.internal.utils.combo

# Class SubstanceComboBoxEditor.UIResource

java.lang.Object
javax.swing.plaf.basic.BasicComboBoxEditor
org.pushingpixels.substance.internal.utils.combo.SubstanceComboBoxEditor
org.pushingpixels.substance.internal.utils.combo.SubstanceComboBoxEditor.UIResource

All Implemented Interfaces:
  `FocusListener`, `EventListener`, `ComboBoxEditor`, `UIResource`

Enclosing class:
  `SubstanceComboBoxEditor`

public static class SubstanceComboBoxEditor.UIResource extends SubstanceComboBoxEditor implements UIResource
Combobox editor that implements the marker `UIResource` interface.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.substance.internal.utils.combo.SubstanceComboBoxEditor

`SubstanceComboBoxEditor.UIResource`

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicComboBoxEditor

`editor`

## Constructor Summary

Constructors
Constructor
Description
`UIResource()`

## Method Summary

### Methods inherited from class javax.swing.plaf.basic.BasicComboBoxEditor

`addActionListener, createEditorComponent, focusGained, focusLost, getEditorComponent, getItem, removeActionListener, selectAll, setItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UIResource

public UIResource()